Next Commerce
Payments

Gateways List

Retrieve a list of gateways.

GET
/gateways/

Authorization

oauth2 gateways:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: gateways:read

Query Parameters

cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*string
Default"unstable"
Value in"unstable"

Response Body

application/json

curl -X GET "https://example.29next.store/api/admin/gateways/" \
  -H "X-29next-API-Version: unstable" \
  -H "Authorization: Bearer "
{
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "results": [
    {
      "active": true,
      "auto_capture_on_fulfillment": true,
      "card_types": [
        {
          "code": "string",
          "label": "string"
        }
      ],
      "currencies": [
        {
          "code": "strin",
          "label": "string"
        }
      ],
      "delayed_capture_days": 1,
      "enable_3ds2": true,
      "gateway_groups": [
        {
          "id": 0,
          "name": "string",
          "weight": 0
        }
      ],
      "gateway_type": "string",
      "id": 0,
      "merchant_profile": {
        "amex": {
          "acquirer_bin": "string",
          "mcc_code": "string",
          "merchant_id": "string"
        },
        "discover": {
          "acquirer_bin": "string",
          "mcc_code": "string",
          "merchant_id": "string"
        },
        "mastercard": {
          "acquirer_bin": "string",
          "mcc_code": "string",
          "merchant_id": "string"
        },
        "merchant_country": "string",
        "merchant_name": "string",
        "visa": {
          "acquirer_bin": "string",
          "mcc_code": "string",
          "merchant_id": "string"
        }
      },
      "name": "string",
      "optimized_3ds": true,
      "payment_flow": "charge",
      "re_attemp_group": {
        "available_currencies": [
          {
            "code": "strin",
            "label": "string"
          }
        ],
        "available_express_payment_methods": [
          {
            "code": "string",
            "label": "string"
          }
        ],
        "available_payment_methods": [
          {
            "code": "string",
            "label": "string",
            "supported_currencies": [
              null
            ]
          }
        ],
        "card_types": [
          {
            "code": "string",
            "label": "string"
          }
        ],
        "id": 0,
        "name": "string"
      },
      "re_attemp_intitial_charge": true
    }
  ]
}